# Utilities

def get_catalog_config(client_id: str, client_secret: str, env: str) -> dict:
    return {
        f'spark.sql.catalog.{env}_nessie': 'org.apache.iceberg.spark.SparkCatalog',
        f'spark.sql.catalog.{env}_nessie.type': 'rest',
        f'spark.sql.catalog.{env}_nessie.s3.path-style-access': 'true',
        f'spark.sql.catalog.{env}_nessie.uri': f'https://{env}-lakehouse-nessie.cads.live/iceberg',
        f'spark.sql.catalog.{env}_nessie.scope': 'catalog sign',
        f'spark.sql.catalog.{env}_nessie.oauth2-server-uri': f'https://{env}-lakehouse.cads.live/keycloak/auth/realms/master/protocol/openid-connect/token',
        f'spark.sql.catalog.{env}_nessie.credential': f'{client_id}:{client_secret}'
    }
